6 Replies Latest reply: Dec 30, 2012 5:06 PM by Shm1ck
JudyLAndrews Level 1 Level 1 (0 points)

i currently have os x 10.4 and per itunes, i need 10.5 to download the itunes version that supports the ipod touch 4th generation

 

can i purchase 10.5 on the apple store and is it safe to go from 10.4 directly to 10.5....what is the best procedure